Skip to content
Splashify Pro
Email docsEmail

Create event destination

Add a webhook destination to a configuration set. Events from sends referencing the config set will be POSTed to your URL with an HMAC-signed body.

POST

/api/v1/partner/email/configuration-sets/:id/event-destinations

Request body

json
{
  "name": "production-webhook",
  "destination_type": "WEBHOOK",
  "webhook_url": "https://yourapp.com/webhooks/email",
  "webhook_secret": "your-shared-secret-min-16-chars",
  "matching_event_types": ["send", "delivered", "bounce", "complaint", "open", "click"],
  "enabled": true
}

Valid event types:

  • send, delivered, bounce, complaint
  • open, click, reject
  • rendering_failure, delivery_delay

Response

json
{
  "success": true,
  "destination_id": "ed_550e8400-...",
  "name": "production-webhook",
  "webhook_url": "https://yourapp.com/webhooks/email",
  "matching_event_types": ["send", "delivered", "bounce", "complaint", "open", "click"],
  "enabled": true
}

cURL

bash
curl https://api.splashifypro.com/api/v1/partner/email/configuration-sets/cs_.../event-destinations \
  -H "Authorization: Bearer $SPLASHIFY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "production-webhook",
    "destination_type": "WEBHOOK",
    "webhook_url": "https://yourapp.com/webhooks/email",
    "webhook_secret": "...",
    "matching_event_types": ["send", "delivered", "bounce", "complaint", "open", "click"]
  }'

Common errors